Package org.jfree.layouting.renderer.model

## Class MarkerRenderBox

- java.lang.Object
- - org.jfree.layouting.renderer.model.RenderNode
  - - org.jfree.layouting.renderer.model.RenderBox
    - - org.jfree.layouting.renderer.model.BlockRenderBox
      - - org.jfree.layouting.renderer.model.MarkerRenderBox

-     public class MarkerRenderBox
      extends BlockRenderBox

  A marker box is a special box, which may live outside the normal-flow, but is tightly coupled with a list-item element.
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.layouting.renderer.model.RenderBox

      `LOG_PRUNE`

    - ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

      `HORIZONTAL_AXIS, VERTICAL_AXIS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MarkerRenderBox​(BoxDefinition boxDefinition)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appyStyle​(LayoutContext context, OutputProcessorMetaData metaData)` |
    `boolean` | `isOutside​()` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.RenderBox

      `addChild, addChilds, addGeneratedChild, clear, clone, close, derive, deriveFrozen, findNodeById, freeze, getBaselineInfo, getBorder, getBoxDefinition, getBoxLayoutProperties, getContentAreaX1, getContentAreaX2, getDominantBaseline, getEffectiveMarginBottom, getEffectiveMarginTop, getFirstChild, getInsertationPoint, getLastChild, getLineCount, getNominalBaselineInfo, getOrphans, getOrphansSize, getPageContext, getStaticBoxLayoutProperties, getVisibleFirst, getVisibleLast, getWidows, getWidowsSize, hibernate, insertAfter, insertBefore, isAppendable, isAvoidPagebreakInside, isDiscardable, isEmpty, isOpen, isPreserveSpace, remove, replaceChild, replaceChilds, setBaselineInfo, setContentAreaX1, setContentAreaX2, setFirstChild, setLastChild, setLineCount, setOrphansSize, setPageContext, setWidowsSize, split`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

      `getAlignmentAdjust, getAlignmentAdjustResolved, getAlignmentBaseline, getBaselineShift, getBaselineShiftResolved, getChangeTracker, getComputedLayoutProperties, getDimension, getHeight, getInstanceId, getLayoutContext, getLogicalPage, getMajorAxis, getMaximumBoxWidth, getMinimumChunkWidth, getMinorAxis, getNamespace, getNext, getNodeLayoutProperties, getNormalFlow, getParent, getParentBlockContext, getPosition, getPrev, getStickyMarker, getTagName, getVerticalAlignment, getVisibleNext, getVisiblePrev, getWidth, getX, getY, isDirectionLTR, isDirty, isFrozen, isHibernated, isIcmMetricsFinished, isIgnorableForRendering, normalizeAlignment, setComputedLayoutProperties, setDimension, setDirty, setHeight, setHibernated, setIcmMetricsFinished, setMajorAxis, setMaximumBoxWidth, setMinimumChunkWidth, setMinorAxis, setNext, setParent, setPosition, setPrev, setStickyMarker, setWidth, setX, setY, updateChangeTracker`

- - ### Constructor Detail

    - #### MarkerRenderBox

          public MarkerRenderBox​(BoxDefinition boxDefinition)

  - ### Method Detail

    - #### appyStyle

          public void appyStyle​(LayoutContext context,
                                OutputProcessorMetaData metaData)

      Overrides:
        `appyStyle` in class `RenderBox`

    - #### isOutside

          public boolean isOutside​()